Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.handler
Class AbstractHandlerContainer

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler
              org.eclipse.jetty.server.handler.AbstractHandlerContainer

All Implemented Interfaces:
  Handler, HandlerContainer, LifeCycle

Direct Known Subclasses:
  HandlerCollection, HandlerWrapper, HotSwapHandler

    public abstract class AbstractHandlerContainer

extends AbstractHandler
implements HandlerContainer

Abstract Handler Container. This is the base class for handlers that may contain other handlers.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`AbstractHandlerContainer()`

Method Summary
`protected void` | `dump(java.lang.Appendable out, java.lang.String indent)`
`protected void` | `dumpHandlers(java.lang.Appendable out, java.lang.String indent)`
`protected java.lang.Object` | `expandChildren(java.lang.Object list, java.lang.Class<?> byClass)`
`protected java.lang.Object` | `expandHandler(Handler handler, java.lang.Object list, java.lang.Class<Handler> byClass)`
`
`<T extends Handler> T`
` | `getChildHandlerByClass(java.lang.Class<T> byclass)`
`Handler[]` | `getChildHandlers()`
`Handler[]` | `getChildHandlersByClass(java.lang.Class<?> byclass)`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler
`destroy, doStart, doStop, dump, dump, getServer, setServer, toString`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.server.HandlerContainer
`getHandlers`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from interface org.eclipse.jetty.server.Handler
`handle`

Constructor Detail

### AbstractHandlerContainer

    public AbstractHandlerContainer()

Method Detail

### getChildHandlers

    public Handler[] getChildHandlers()

  Specified by:
    `getChildHandlers` in interface `HandlerContainer`
  Returns:
    array of all handlers contained by this handler and it's children

### getChildHandlersByClass

    public Handler[] getChildHandlersByClass(java.lang.Class<?> byclass)

  Specified by:
    `getChildHandlersByClass` in interface `HandlerContainer`
  Returns:
    array of all handlers contained by this handler and it's children of the passed type.

### getChildHandlerByClass

    public <T extends Handler> T getChildHandlerByClass(java.lang.Class<T> byclass)

  Specified by:
    `getChildHandlerByClass` in interface `HandlerContainer`
  Returns:
    first handler of all handlers contained by this handler and it's children of the passed type.

### expandChildren

    protected java.lang.Object expandChildren(java.lang.Object list,
                                              java.lang.Class<?> byClass)

### expandHandler

    protected java.lang.Object expandHandler(Handler handler,
                                             java.lang.Object list,
                                             java.lang.Class<Handler> byClass)

### dump

    protected void dump(java.lang.Appendable out,
                        java.lang.String indent)
                 throws java.io.IOException

  Overrides:
    `dump` in class `AbstractHandler`
  Throws:
    `java.io.IOException`

### dumpHandlers

    protected void dumpHandlers(java.lang.Appendable out,
                                java.lang.String indent)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.